Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class IPlanWorldStateManager.Fact

    java.lang.Object
      ix.iplan.IPlanWorldStateManager.Fact

Enclosing class:
  IPlanWorldStateManager

    protected static class IPlanWorldStateManager.Fact

extends java.lang.Object

Field Summary
`protected ContextValue` | `contributor`
`protected LList` | `pattern`
`protected LLQueue` | `users`
`protected ContextValue` | `value`

Constructor Summary
`IPlanWorldStateManager.Fact()`
`IPlanWorldStateManager.Fact(LList pattern, java.lang.Object value, PNode at)`

Method Summary
`void` | `addUser(PNode u)`
`void` | `clearUsers()`
`PNode` | `getContributor()`
`LList` | `getPattern()`
`java.util.List` | `getUsers()`
`java.lang.Object` | `getValue()`
`void` | `setContributor(PNode at)`
`void` | `setValue(java.lang.Object v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pattern

    protected LList pattern

### value

    protected ContextValue value

### contributor

    protected ContextValue contributor

### users

    protected LLQueue users

Constructor Detail

### IPlanWorldStateManager.Fact

    public IPlanWorldStateManager.Fact()

### IPlanWorldStateManager.Fact

    public IPlanWorldStateManager.Fact(LList pattern,
                                       java.lang.Object value,
                                       PNode at)

Method Detail

### getPattern

    public LList getPattern()

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object v)

### getContributor

    public PNode getContributor()

### setContributor

    public void setContributor(PNode at)

### getUsers

    public java.util.List getUsers()

### addUser

    public void addUser(PNode u)

### clearUsers

    public void clearUsers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD